httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "William A. Rowe, Jr." <wr...@rowe-clan.net>
Subject NOTE To All Dev's!!!
Date Fri, 01 Jul 2005 18:33:38 GMT
I have bumped the MODULE_MAGIC_COOKIE for 2.1.7.  This will be
bumped again upon 2.2 release to "AP22".

The modules are significantly disjoint, and testing for the
mmn date and level between a 2.0 and 2.1 module will not produce
the desired results.

Please forgive any inconvenience this may cause, but you must rebuild
all in order to continue using modules against 2.1.

Bill

>Author: wrowe
>Date: Fri Jul  1 10:50:01 2005
>New Revision: 208777
>
>Log:
>
>  Change Apache httpd 2.1 signature to "AP21" as this flavor
>  is binary-incompatible to any "AP20" module.

>-#define MODULE_MAGIC_COOKIE 0x41503230UL /* "AP20" */
>+#define MODULE_MAGIC_COOKIE 0x41503231UL /* "AP21" */

>-#define MODULE_MAGIC_NUMBER_MAJOR 20050305
>+#define MODULE_MAGIC_NUMBER_MAJOR 20050701

>-#define MODULE_MAGIC_NUMBER_MINOR 3                     /* 0...n */
>+#define MODULE_MAGIC_NUMBER_MINOR 0                     /* 0...n */



Mime
View raw message